//--------------------------------------------------------------------------------
// **** Quake Style Teleporter ****
//This shader and textures by The Hubster

textures/hub3media/q1_tele
	{
	qer_editorimage textures/hub3media/q1_tele.tga
	surfaceparm nolightmap
	cull disable
	tessSize 128
	q3map_surfacelight 25

		{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
		}
		{
		map textures/hub3media/q1_tele.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
		}
	}
//--------------------------------------------------------------------------------
textures/dapak/tele
{
	qer_editorimage textures/dapak/tele.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/dapak/tele.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/decker_grates/evil_flrgrt_h
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/decker_grates/evil_flrgrt_h.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/decker_grates/evil_smllgrt_h
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/decker_grates/evil_smllgrt_h.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/decker_light/redstrip_glow_lt1
{
	qer_editorimage textures/decker_light/redstrip_glow_lt1.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 1000
	q3map_lightimage textures/decker_light/redstrip_glow_lt1.tga
	{
		map textures/decker_light/redstrip_lt1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/decker_light/redstrip_glow_lt1.tga
		rgbGen wave sin 0.5 0.5 1 .5
		blendfunc GL_ONE GL_ONE
	}
}

textures/decker_light/y_strip_lt
{
	qer_editorimage textures/decker_light/y_strip_lt.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 500
	q3map_lightimage textures/decker_light/y_strip_lt_glow.tga
	{
		map textures/decker_light/y_strip_lt.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/decker_light/y_strip_lt_glow.tga
		rgbGen wave sin 0.5 0.5 1 .5
		blendfunc GL_ONE GL_ONE
	}
}

textures/decker_sfx/floortilebig_bounce
{
	qer_editorimage textures/decker_sfx/floortilebig_bounce.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/decker_sfx/floortilebig_bounce.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/decker_sfx/flr_tmtl_drk_bounce
{
	qer_editorimage textures/decker_sfx/flr_tmtl_drk_bounce.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/decker_sfx/flr_tmtl_drk_bounce.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/decker_sky/night_sky
{
	qer_editorimage textures/decker_sky/night_sky_back.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .25 .5 1 70 280 83
	q3map_surfacelight 60
	skyparms - 512 -
	{
		map textures/decker_sky/night_sky_back.tga
		tcMod scroll 0.01 .01
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/decker_sky/night_sky_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.02 0.01
		tcMod scale 3 3
	}
}

textures/skies/night_sky_200
{
	qer_editorimage textures/decker_sky/night_sky_back.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .25 .5 1 70 280 83
	q3map_surfacelight 200
	skyparms - 512 -
	{
		map textures/decker_sky/night_sky_back.tga
		tcMod scroll 0.01 .01
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/decker_sky/night_sky_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.02 0.01
		tcMod scale 3 3
	}
}


textures/senn/senn_sky
{
	qer_editorimage textures/skies/pjbasesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_sun 0.266383 0.274632 0.358662 150 60 85
	q3map_surfacelight 500
	skyparms - 512 -
	{
		map textures/senn/sennsky2.jpg
		tcMod scroll 0 0.02
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/senn/sennsky1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0 0.03
		tcMod scale 3 3
	}
}

textures/than_industrial/trim19
{
	qer_editorimage textures/than_industrial/trim19.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/than_industrial/trim19.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/liquids/slime1_800
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 800
	tessSize 32
	cull disable
	deformVertexes wave 100 sin 0 1 .5 .5
	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}
}

textures/liquids/proto_grueldarkcpma1
{
	qer_editorimage textures/liquids/proto_grueldark.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/proto_grueldark.tga
		tcMod turb 0 .2 0 .1
	}
}


textures/sfx/bounce_clang2
{

	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400

	
	{
		map textures/sfx/bounce_clang2.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/sfx/bounce_grey
{

	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400

	
	{
		map textures/sfx/bounce_grey.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/snick_terra/rotten_copper
{
	qer_editorimage textures/snick_terra/copper_shiny.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/snick_terra/copper_shiny.tga
		blendFunc filter	
		rgbGen identity
		//alphafunc GE128
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/than_light/trlight05_1k
{
	qer_editorimage textures/than_light/trlight05.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	q3map_lightimage textures/than_light/trlight05_glow.tga
	{
		map textures/than_light/trlight05.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/than_light/trlight05_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}